// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		EC6D10C223DAD90D00A6916B /* main.cpp in Sources */ = {isa = PBXBuildFile; fileRef = EC6D10C123DAD90D00A6916B /* main.cpp */; };
		EC6D10CA23DAD93F00A6916B /* OpenGL.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = EC6D10C923DAD93F00A6916B /* OpenGL.framework */; };
		EC6D10CE23DAD9B000A6916B /* libglfw.3.3.dylib in Frameworks */ = {isa = PBXBuildFile; fileRef = EC6D10CD23DAD9B000A6916B /* libglfw.3.3.dylib */; };
		ECCB095423DAE3DB00CBC547 /* GLUT.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = ECCB095323DAE3DB00CBC547 /* GLUT.framework */; };
		ECCB095923DAE9EE00CBC547 /* libIrrXML.dylib in Embed Libraries */ = {isa = PBXBuildFile; fileRef = ECCB095623DAE9EE00CBC547 /* libIrrXML.dylib */; settings = {ATTRIBUTES = (CodeSignOnCopy, ); }; };
		ECCB095A23DAE9EE00CBC547 /* libassimp.5.0.0.dylib in Frameworks */ = {isa = PBXBuildFile; fileRef = ECCB095723DAE9EE00CBC547 /* libassimp.5.0.0.dylib */; };
		ECCB095B23DAE9EE00CBC547 /* libassimp.5.0.0.dylib in Embed Libraries */ = {isa = PBXBuildFile; fileRef = ECCB095723DAE9EE00CBC547 /* libassimp.5.0.0.dylib */; settings = {ATTRIBUTES = (CodeSignOnCopy, ); }; };
		ECD91CF923DAF1DE00074516 /* libGLEW.2.1.0.dylib in Frameworks */ = {isa = PBXBuildFile; fileRef = EC6D10CB23DAD98D00A6916B /* libGLEW.2.1.0.dylib */; };
		ECD91CFA23DAF1DE00074516 /* libGLEW.2.1.0.dylib in Embed Libraries */ = {isa = PBXBuildFile; fileRef = EC6D10CB23DAD98D00A6916B /* libGLEW.2.1.0.dylib */; settings = {ATTRIBUTES = (CodeSignOnCopy, ); }; };
/* End PBXBuildFile section */

/* Begin PBXCopyFilesBuildPhase section */
		EC6D10BC23DAD90D00A6916B /* CopyFiles */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = /usr/share/man/man1/;
			dstSubfolderSpec = 0;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 1;
		};
		ECCB095C23DAE9EE00CBC547 /* Embed Libraries */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 10;
			files = (
				ECD91CFA23DAF1DE00074516 /* libGLEW.2.1.0.dylib in Embed Libraries */,
				ECCB095B23DAE9EE00CBC547 /* libassimp.5.0.0.dylib in Embed Libraries */,
				ECCB095923DAE9EE00CBC547 /* libIrrXML.dylib in Embed Libraries */,
			);
			name = "Embed Libraries";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		EC6D10BE23DAD90D00A6916B /* hw4 */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = hw4; sourceTree = BUILT_PRODUCTS_DIR; };
		EC6D10C123DAD90D00A6916B /* main.cpp */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.cpp.cpp; path = main.cpp; sourceTree = "<group>"; };
		EC6D10C923DAD93F00A6916B /* OpenGL.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = OpenGL.framework; path = System/Library/Frameworks/OpenGL.framework; sourceTree = SDKROOT; };
		EC6D10CB23DAD98D00A6916B /* libGLEW.2.1.0.dylib */ = {isa = PBXFileReference; lastKnownFileType = "compiled.mach-o.dylib"; name = libGLEW.2.1.0.dylib; path = ../../../../../usr/local/Cellar/glew/2.1.0_1/lib/libGLEW.2.1.0.dylib; sourceTree = "<group>"; };
		EC6D10CD23DAD9B000A6916B /* libglfw.3.3.dylib */ = {isa = PBXFileReference; lastKnownFileType = "compiled.mach-o.dylib"; name = libglfw.3.3.dylib; path = ../../../../../usr/local/Cellar/glfw/3.3.1/lib/libglfw.3.3.dylib; sourceTree = "<group>"; };
		ECCB095123DAE1E900CBC547 /* src */ = {isa = PBXFileReference; lastKnownFileType = folder; path = src; sourceTree = "<group>"; };
		ECCB095223DAE1E900CBC547 /* include */ = {isa = PBXFileReference; lastKnownFileType = folder; path = include; sourceTree = "<group>"; };
		ECCB095323DAE3DB00CBC547 /* GLUT.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = GLUT.framework; path = System/Library/Frameworks/GLUT.framework; sourceTree = SDKROOT; };
		ECCB095523DAE5AB00CBC547 /* glad.c */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.c; name = glad.c; path = "../../../Downloads/glad (1)/src/glad.c"; sourceTree = "<group>"; };
		ECCB095623DAE9EE00CBC547 /* libIrrXML.dylib */ = {isa = PBXFileReference; lastKnownFileType = "compiled.mach-o.dylib"; name = libIrrXML.dylib; path = ../../../../../usr/local/Cellar/assimp/5.0.1/lib/libIrrXML.dylib; sourceTree = "<group>"; };
		ECCB095723DAE9EE00CBC547 /* libassimp.5.0.0.dylib */ = {isa = PBXFileReference; lastKnownFileType = "compiled.mach-o.dylib"; name = libassimp.5.0.0.dylib; path = ../../../../../usr/local/Cellar/assimp/5.0.1/lib/libassimp.5.0.0.dylib; sourceTree = "<group>"; };
		ECCB095D23DAEA7000CBC547 /* Camera.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = Camera.h; sourceTree = "<group>"; };
		ECCB095E23DAEA7000CBC547 /* Model.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = Model.h; sourceTree = "<group>"; };
		ECCB095F23DAEA7000CBC547 /* MoveModel.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MoveModel.h; sourceTree = "<group>"; };
		ECCB096023DAEA7000CBC547 /* stb_image.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = stb_image.h; sourceTree = "<group>"; };
		ECCB096123DAEA7000CBC547 /* Shader.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = Shader.h; sourceTree = "<group>"; };
		ECCB096223DAEA7000CBC547 /* Mesh.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = Mesh.h; sourceTree = "<group>"; };
		ECCB096323DAEAD300CBC547 /* model */ = {isa = PBXFileReference; lastKnownFileType = folder; path = model; sourceTree = "<group>"; };
		ECD91CF623DAEE4100074516 /* model_fragmentshader.frag */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.glsl; path = model_fragmentshader.frag; sourceTree = "<group>"; };
		ECD91CF723DAEE4100074516 /* model_vertexshader.vert */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.glsl; path = model_vertexshader.vert; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		EC6D10BB23DAD90D00A6916B /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				EC6D10CA23DAD93F00A6916B /* OpenGL.framework in Frameworks */,
				EC6D10CE23DAD9B000A6916B /* libglfw.3.3.dylib in Frameworks */,
				ECCB095A23DAE9EE00CBC547 /* libassimp.5.0.0.dylib in Frameworks */,
				ECCB095423DAE3DB00CBC547 /* GLUT.framework in Frameworks */,
				ECD91CF923DAF1DE00074516 /* libGLEW.2.1.0.dylib in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		EC6D10B523DAD90D00A6916B = {
			isa = PBXGroup;
			children = (
				EC6D10C023DAD90D00A6916B /* hw4 */,
				EC6D10BF23DAD90D00A6916B /* Products */,
				EC6D10C823DAD93F00A6916B /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		EC6D10BF23DAD90D00A6916B /* Products */ = {
			isa = PBXGroup;
			children = (
				EC6D10BE23DAD90D00A6916B /* hw4 */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		EC6D10C023DAD90D00A6916B /* hw4 */ = {
			isa = PBXGroup;
			children = (
				ECD91CF623DAEE4100074516 /* model_fragmentshader.frag */,
				ECD91CF723DAEE4100074516 /* model_vertexshader.vert */,
				ECCB096323DAEAD300CBC547 /* model */,
				ECCB095D23DAEA7000CBC547 /* Camera.h */,
				ECCB096223DAEA7000CBC547 /* Mesh.h */,
				ECCB095E23DAEA7000CBC547 /* Model.h */,
				ECCB095F23DAEA7000CBC547 /* MoveModel.h */,
				ECCB096123DAEA7000CBC547 /* Shader.h */,
				ECCB096023DAEA7000CBC547 /* stb_image.h */,
				ECCB095223DAE1E900CBC547 /* include */,
				ECCB095123DAE1E900CBC547 /* src */,
				EC6D10C123DAD90D00A6916B /* main.cpp */,
			);
			path = hw4;
			sourceTree = "<group>";
		};
		EC6D10C823DAD93F00A6916B /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				ECCB095723DAE9EE00CBC547 /* libassimp.5.0.0.dylib */,
				ECCB095623DAE9EE00CBC547 /* libIrrXML.dylib */,
				ECCB095523DAE5AB00CBC547 /* glad.c */,
				ECCB095323DAE3DB00CBC547 /* GLUT.framework */,
				EC6D10CD23DAD9B000A6916B /* libglfw.3.3.dylib */,
				EC6D10CB23DAD98D00A6916B /* libGLEW.2.1.0.dylib */,
				EC6D10C923DAD93F00A6916B /* OpenGL.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		EC6D10BD23DAD90D00A6916B /* hw4 */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = EC6D10C523DAD90D00A6916B /* Build configuration list for PBXNativeTarget "hw4" */;
			buildPhases = (
				EC6D10BA23DAD90D00A6916B /* Sources */,
				EC6D10BB23DAD90D00A6916B /* Frameworks */,
				EC6D10BC23DAD90D00A6916B /* CopyFiles */,
				ECCB095C23DAE9EE00CBC547 /* Embed Libraries */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = hw4;
			productName = hw4;
			productReference = EC6D10BE23DAD90D00A6916B /* hw4 */;
			productType = "com.apple.product-type.tool";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		EC6D10B623DAD90D00A6916B /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 1100;
				ORGANIZATIONNAME = "Amin Kazemi";
				TargetAttributes = {
					EC6D10BD23DAD90D00A6916B = {
						CreatedOnToolsVersion = 11.0;
					};
				};
			};
			buildConfigurationList = EC6D10B923DAD90D00A6916B /* Build configuration list for PBXProject "hw4" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = EC6D10B523DAD90D00A6916B;
			productRefGroup = EC6D10BF23DAD90D00A6916B /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				EC6D10BD23DAD90D00A6916B /* hw4 */,
			);
		};
/* End PBXProject section */

/* Begin PBXSourcesBuildPhase section */
		EC6D10BA23DAD90D00A6916B /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				EC6D10C223DAD90D00A6916B /* main.cpp in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		EC6D10C323DAD90D00A6916B /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.14;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = macosx;
			};
			name = Debug;
		};
		EC6D10C423DAD90D00A6916B /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.14;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = macosx;
			};
			name = Release;
		};
		EC6D10C623DAD90D00A6916B /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				HEADER_SEARCH_PATHS = (
					/usr/local/include,
					/Users/aminkazemi/dev/native_dependencies/glad/include,
					/Users/aminkazemi/Desktop/Graphic/hw4/hw4,
				);
				LIBRARY_SEARCH_PATHS = (
					"$(inherited)",
					/usr/local/Cellar/glew/2.1.0_1/lib,
					/usr/local/Cellar/glfw/3.3.1/lib,
					/usr/local/Cellar/assimp/5.0.1/lib,
				);
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Debug;
		};
		EC6D10C723DAD90D00A6916B /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				HEADER_SEARCH_PATHS = (
					/usr/local/include,
					/Users/aminkazemi/dev/native_dependencies/glad/include,
					/Users/aminkazemi/Desktop/Graphic/hw4/hw4,
				);
				LIBRARY_SEARCH_PATHS = (
					"$(inherited)",
					/usr/local/Cellar/glew/2.1.0_1/lib,
					/usr/local/Cellar/glfw/3.3.1/lib,
					/usr/local/Cellar/assimp/5.0.1/lib,
				);
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		EC6D10B923DAD90D00A6916B /* Build configuration list for PBXProject "hw4" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				EC6D10C323DAD90D00A6916B /* Debug */,
				EC6D10C423DAD90D00A6916B /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		EC6D10C523DAD90D00A6916B /* Build configuration list for PBXNativeTarget "hw4" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				EC6D10C623DAD90D00A6916B /* Debug */,
				EC6D10C723DAD90D00A6916B /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = EC6D10B623DAD90D00A6916B /* Project object */;
}
